e107help.org Q&A
0 like 0 dislike
I'm really stuck here. I went to update to v 2.0 a while back and killed my site. Was able to restore back to ?? sorry I was up to date before  v2.0 came out. It was working just fine then went down again. I'm wondering if there is someone I can hire to fix this site for me. No help from the server side, I was on the phone for 2 hours today and got no where. I just don't want to loose my data base, I have ~200 active users and a long archive of posts..

Anyone willing to take this on?

Thanks
e107 version Version prior to v2.0
asked in Updating by (21 points) 1 1

4 Answers

0 like 0 dislike
You need to provide more information then 'down'. Please describe the issue in more detail, the fix may be simple.

1) Which version are you currently running?

2) What are the issues?
Please provide detail: if you get any error messages please copy them here, provide screenshots if neccessary. What happens, where do you click, etc. etc.
answered by (2.4k points) 5 8 8
0 like 0 dislike
Currently the site shows:
Access to scoutswest.com was denied
You don't have authorization to view this page.
HTTP ERROR 403

Windows Network Diagnostics show:
Problems found
Windows could not automatically detect this network's proxy settings..

I did not make any changes it just started showing a complete blank page. My hosting service is Arvixe, the online IT person thought it was a htaccss file issue. I replaced it with a standard version, just:

# Custom error pages for php scripts only
<FilesMatch \.php$>
ErrorDocument 400 /error.php?400
ErrorDocument 401 /error.php?401
ErrorDocument 403 /error.php?403
ErrorDocument 404 /error.php?404
ErrorDocument 500 /error.php?500
</FilesMatch>
No luck.
My issue was to be handeled by a "Senior Member" but after a week with no response I was able to call someone. They were not much help either and said they were familure with other CMS's but not e107. Funny to see their add on this site..

I'm running v 1.0.4

Thanks for your time!
answered by (21 points) 1 1
Hi, it's really looks like htacess problem. But 1.0.4 didn't need to have this file if I am not mistaken. How did you restore 1.0.4 version?  Your database is clean 1.0.4  version? I mean is it possible there is some rest from update process?  The same with files?

Try to remove htaccess completly and try display any other file f.e. index2.php with phpinfo().  If you have still error, it's server issue.
As Jimako mentioned: the only htaccess file on 1.0.4 =  e107_htaccess

How about your config file? that also still on v 1 state?

Server seems to run notices > autoapprove plug and mobile plug and some more...

Check your permissions on server AND files (chmod).
0 like 0 dislike

<Hi, it's really looks like htacess problem. But 1.0.4 didn't need to have this file if I am not mistaken. How did you restore 1.0.4 version?>
About 6 months ago I tried to update to v2.1, that did not work for me so I had the Server Folks restore it back to 1.0.4

<Your database is clean 1.0.4  version? I mean is it possible there is some rest from update process?  The same with files?> 
Not sure how to check this.

<Try to remove htaccess completly>
Right now the only htaccess file is the standard e107.htaccess file

<and try display any other file f.e. index2.php with phpinfo().>
Lost here how do I do this?

<How about your config file? that also still on v 1 state?>
Is there a way to check?

<Check your permissions on server AND files (chmod).>

Permissions are running 0640 and 0644

Thanks peeps for the feed back,,,

answered by (21 points) 1 1

<Your database is clean 1.0.4  version? I mean is it possible there is some rest from update process?  The same with files?> 
Not sure how to check this.

Could be very well some leftovers of the update might be present, even so on files.

If a restore is done, one would presume, the restoration of files AND the original dbase ( i do hope you do have own backups ?; not relying on serverparks (some do some do not have old.).

As long as there is an original backup of dbase, its easy (you only have to have a v1 pack files + plugins, adjust config to use the old dbase and thats that. Looks easy (actually method is). The only real issue you might get involved with is php versions.. (older stuff has sometimes deprecated coding).

Is the present system containing leftovers and no dbase (old ) present than it will be manual labour (and testground). 

Checks if yes or no : visual compare > v1 has no media,core,web folder (files folders) Are they present > leftover (but be warned, they might contain needed things like images etc, which were moved during update etc..). As for dbase > added tables like core_media and core_media cat, mail content etc... > if present > leftovers..again carefull.. they also might contain stuff.

Keep (and please backup) ALL before you make any changes, and report back if you have original backups. (all = folders; files +content;  images etc.. and dbase > mirror on disc)

 

0 like 0 dislike
What are all those? Am I directed to anyone?
answered by (5 points)
I can not see a question or the relationship to this post ( nearly a year old). Name of poster is different too. Can you enlighten your question?
Welcome to e107 Q&A, where you can ask questions and receive answers from other members of the e107 community.
797 questions
1,200 answers
2,065 comments
936 users